> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Nexus API

> Legacy clients can use Nexus API for all their connectivity needs. If you are a new client refer to our Platform API.

Review our [Nexus API Guides](/nexus) for more information.

## Authentication

* API Key: `sessionToken`

### MX Session Token

* Request an API token using the read API token endpoint in the MX SSO API.
* Exchange an API token for a session token.
  * A session token is obtained by sending a POST request to `/sessions`.
  * The session token is used in each request made for the user. Pass it in an `MD-SESSION-TOKEN` HTTP header as shown below.
  * This session token is valid for 30 minutes from the time it was created. The 30-minute expiration counter is refreshed with each call.
  * If you send a request with an expired session token, you'll receive an error code of `4011`.

```bash theme={null}
curl -i https://int-data.moneydesktop.com/accounts \
  -H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
  -H 'Content-Type: application/vnd.mx.nexus.v1+json' \
  -H 'Accept: application/vnd.mx.nexus.v1+json'
```

In documentation code examples, replace `<API_KEY_VALUE>` with the session token.

| Security Scheme Type:  | apiKey           |
| ---------------------- | ---------------- |
| Header parameter name: | MD-SESSION-TOKEN |

### Contact

Nexus API:
URL:

[https://www.mx.com](https://www.mx.com)
